@echo off
IF EXIST "%PROGRAMFILES(X86)%" (GOTO 64BIT) ELSE (GOTO 32BIT)
:64BIT
IF EXIST "C:\Program Files (x86)\Kaspersky Lab\NetworkAgent\klcsngtgui.exe" (GOTO END) ELSE (GOTO INSTALL)
GOTO END
:32BIT
IF EXIST "C:\Program Files\Kaspersky Lab\NetworkAgent\klcsngtgui.exe" (GOTO END) ELSE (GOTO INSTALL)
GOTO END
:INSTALL
msiexec.exe /i "\\stephane.local\SysVol\stephane.local\Policies\{D3336D39-E456-4C90-9C7E-A43F6D547741}\User\Scripts\Logon\Kaspersky Network Agent.msi" /qn /l*vx c:\windows\temp\deploi_agent.log SERVERADDRESS="kav3.absys-services.fr" DONT_USE_ANSWER_FILE=1 LAUNCHPROGRAM=1 PRIVACYPOLICY=1 EULA=1
net start klnagent
:END